onEvent('recipes', event => {

    const woods = ['oak', 'spruce', 'birch', 'jungle', 'acacia', 'dark_oak', 'crimson', 'warped'];

    woods.forEach(wood => {

        var planks = `minecraft:${wood}_planks`;

        ['full','half'].forEach(shape => {
            [1,2,4].forEach(size => {

                var drawer = `storagedrawers:${wood}_${shape}_drawers_${size}`;
                var base_drawer = `storagedrawers:oak_${shape}_drawers_${size}`;

                if(wood != 'oak') {
                    event.shapeless(
                        drawer, 
                        [ base_drawer, planks ]
                    ).id(`storagedrawers:kubejs/shapeless/${wood}_${shape}_drawers_${size}`);
                }

                event.remove({id: drawer});

            })
        })

    })
    

})